"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UniversalXMLPlugin = void 0;
exports.main = main;
const plugin_1 = require("./plugin");
Object.defineProperty(exports, "UniversalXMLPlugin", { enumerable: true, get: function () { return plugin_1.UniversalXMLPlugin; } });
const source_1 = require("./source");
const promises_1 = __importDefault(require("node:fs/promises"));
exports.default = plugin_1.UniversalXMLPlugin;
async function main() {
    const [, , xmlDataPath, platform, optsJson] = process.argv;
    const xmlData = await promises_1.default.readFile(xmlDataPath, 'utf8');
    const opts = optsJson ? JSON.parse(optsJson) : {};
    const { xml, unknowns } = await (0, source_1.transformSourceXml)(xmlData, platform, opts);
    console.log(xml); // eslint-disable-line no-console
    if (unknowns.nodes.length || unknowns.attrs.length) {
        console.error(unknowns); // eslint-disable-line no-console
    }
}
//# sourceMappingURL=index.js.map