/**
 *
 * @param {string} xmlStr
 * @param {string} platform
 * @param {{metadata?: Object, addIndexPath?: boolean}} opts
 * @returns {Promise<{xml: string, unknowns: NodesAndAttributes}>}
 */
export function transformSourceXml(xmlStr: string, platform: string, { metadata, addIndexPath }?: {
    metadata?: any;
    addIndexPath?: boolean;
}): Promise<{
    xml: string;
    unknowns: NodesAndAttributes;
}>;
/**
 *
 * @param {any} nodeName
 * @param {string} platform
 * @returns {string?}
 */
export function getUniversalNodeName(nodeName: any, platform: string): string | null;
/**
 *
 * @param {string} attrName
 * @param {string} platform
 * @returns {string?}
 */
export function getUniversalAttrName(attrName: string, platform: string): string | null;
/**
 *
 * @param {any} nodeObj
 * @param {string} platform
 * @param {{metadata?: Object, addIndexPath?: boolean, parentPath?: string}} opts
 * @returns {NodesAndAttributes}
 */
export function transformNode(nodeObj: any, platform: string, { metadata, addIndexPath, parentPath }: {
    metadata?: any;
    addIndexPath?: boolean;
    parentPath?: string;
}): NodesAndAttributes;
/**
 *
 * @param {any} nodeObj
 * @param {string[]} childNodeNames
 * @param {string} platform
 * @param {{metadata?: Object, addIndexPath?: boolean, parentPath?: string}} opts
 * @returns {NodesAndAttributes}
 */
export function transformChildNodes(nodeObj: any, childNodeNames: string[], platform: string, { metadata, addIndexPath, parentPath }: {
    metadata?: any;
    addIndexPath?: boolean;
    parentPath?: string;
}): NodesAndAttributes;
/**
 *
 * @param {any} nodeObj
 * @param {string[]} attrs
 * @param {string} platform
 * @returns {string[]}
 */
export function transformAttrs(nodeObj: any, attrs: string[], platform: string): string[];
export const ATTR_PREFIX: "@_";
export const IDX_PATH_PREFIX: "@_indexPath";
export const IDX_PREFIX: "@_index";
export type NodesAndAttributes = {
    nodes: string[];
    attrs: string[];
};
//# sourceMappingURL=source.d.ts.map