"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const source_1 = require("./source");
function ios(nodeObj /*, metadata*/) {
    return nodeObj;
}
function android(nodeObj, metadata) {
    // strip android:id from front of id
    const resId = nodeObj[`${source_1.ATTR_PREFIX}resource-id`];
    if (resId && metadata.appPackage) {
        nodeObj[`${source_1.ATTR_PREFIX}resource-id`] = resId.replace(`${metadata.appPackage}:id/`, '');
    }
    // turn bounds attr into rect-based attrs
    if (nodeObj[`${source_1.ATTR_PREFIX}bounds`]) {
        const boundsArray = nodeObj[`${source_1.ATTR_PREFIX}bounds`]
            .split(/\[|\]|,/)
            .filter((str) => str !== '');
        const [x, y, x2, y2] = boundsArray;
        const width = x2 - x;
        const height = y2 - y;
        nodeObj[`${source_1.ATTR_PREFIX}x`] = x;
        nodeObj[`${source_1.ATTR_PREFIX}y`] = y;
        nodeObj[`${source_1.ATTR_PREFIX}width`] = width;
        nodeObj[`${source_1.ATTR_PREFIX}height`] = height;
    }
}
exports.default = {
    ios,
    android,
};
//# sourceMappingURL=transformers.js.map